#pragma once
#include "../../stdafx.h"
#include "../glLibTexturing/glLibTexturing.h"

void glLibInternal_DrawScreenQuad(int rect[4]);
void glLibInternal_DrawScreenQuad_Tex(GLint rect[4], double texcoord_rect[4]);
void glLibDrawScreenQuad(void                                                                       );
void glLibDrawScreenQuad(int rect[4]                                                                );
void glLibDrawScreenQuad(             bool            texture                                       );
void glLibDrawScreenQuad(int rect[4], bool            texture                                       );
void glLibDrawScreenQuad(             glLibTexture2D* texture                                       );
void glLibDrawScreenQuad(int rect[4], glLibTexture2D* texture                                       );
void glLibDrawScreenQuad(             bool            texture, double uv_tile                       );
void glLibDrawScreenQuad(int rect[4], bool            texture, double uv_tile                       );
void glLibDrawScreenQuad(             glLibTexture2D* texture, double uv_tile                       );
void glLibDrawScreenQuad(int rect[4], glLibTexture2D* texture, double uv_tile                       );
void glLibDrawScreenQuad(             bool            texture, double uv_tile[2]                    );
void glLibDrawScreenQuad(int rect[4], bool            texture, double uv_tile[2]                    );
void glLibDrawScreenQuad(             glLibTexture2D* texture, double uv_tile[2]                    );
void glLibDrawScreenQuad(int rect[4], glLibTexture2D* texture, double uv_tile[2]                    );
void glLibDrawScreenQuad(             bool            texture, double uv_tile,    double uv_delta   );
void glLibDrawScreenQuad(int rect[4], bool            texture, double uv_tile,    double uv_delta   );
void glLibDrawScreenQuad(             glLibTexture2D* texture, double uv_tile,    double uv_delta   );
void glLibDrawScreenQuad(int rect[4], glLibTexture2D* texture, double uv_tile,    double uv_delta   );
void glLibDrawScreenQuad(             bool            texture, double uv_tile[2], double uv_delta   );
void glLibDrawScreenQuad(int rect[4], bool            texture, double uv_tile[2], double uv_delta   );
void glLibDrawScreenQuad(             glLibTexture2D* texture, double uv_tile[2], double uv_delta   );
void glLibDrawScreenQuad(int rect[4], glLibTexture2D* texture, double uv_tile[2], double uv_delta   );
void glLibDrawScreenQuad(             bool            texture, double uv_tile,    double uv_delta[2]);
void glLibDrawScreenQuad(int rect[4], bool            texture, double uv_tile,    double uv_delta[2]);
void glLibDrawScreenQuad(             glLibTexture2D* texture, double uv_tile,    double uv_delta[2]);
void glLibDrawScreenQuad(int rect[4], glLibTexture2D* texture, double uv_tile,    double uv_delta[2]);
void glLibDrawScreenQuad(             bool            texture, double uv_tile[2], double uv_delta[2]);
void glLibDrawScreenQuad(int rect[4], bool            texture, double uv_tile[2], double uv_delta[2]);
void glLibDrawScreenQuad(             glLibTexture2D* texture, double uv_tile[2], double uv_delta[2]);
void glLibDrawScreenQuad(int rect[4], glLibTexture2D* texture, double uv_tile[2], double uv_delta[2]);